DATA_DIR="../../datasets/"
find "$DATA_DIR" -name "*.dat" | while read f; do 
    echo $f
    experiment="`basename $f .dat`"
    labels="`dirname $f`/$experiment.labels"
    
    wy_chi="../lcm_wy_chi/fim_closed"
    wy_fisher="../lcm_wy_fisher/fim_closed"

    lamp_fisher="../lcm_lamp_fisher/fim_closed"
    lamp_chi="../lcm_lamp_chi/fim_closed"

    enum_fisher="../lcm_comp_pvalues_fisher/fim_closed"
    enum_chi="../lcm_comp_pvalues_chi/fim_closed"

    wy_fast="../lcm_fastwy/fim_closed"
    wy_fast="../lcm_fastwy/fastwy"

    prefix="../wylight-workspace/lamp/$experiment"
    echo "python run_wylight.py $prefix-wy-f 10000 0.05 $labels $f 5 $wy_fisher $enum_fisher"
    echo "python run_wylight.py $prefix-wy-x 10000 0.05 $labels $f 5 $wy_chi $enum_chi"
    echo "python run_wylight.py $prefix-wyf-f 10000 0.05 $labels $f 5 $wy_fast $enum_fisher"
    echo "python run_wylight.py $prefix-wyf-x 10000 0.05 $labels $f 5 $wy_fast $enum_chi"
    echo "python run_lamp.py $prefix-lamp-f 0.05 $labels $f $lamp_fisher $enum_fisher"
    echo "python run_lamp.py $prefix-lamp-f 0.001 $labels $f $lamp_fisher $enum_fisher"
    echo "python run_lamp.py $prefix-lamp-x 0.05 $labels $f $lamp_chi $enum_chi"
done 